Subject: bug#46029: 27.1; mail-archive-file-name cannot be changed once it is set.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Jan 2021 09:42:25 +0200

> From: Muto <[email-masked]>
> Date: Thu, 21 Jan 2021 22:19:31 -0700
> 
> If I activate my first account with:
>   M-x mail-muto
> and start a new email with
>   C-x m
> The Fcc line will look correct.
> 
> But after that, if I use
>   M-x mail-muto2
> And start writing a new email, my signature, return address, and full
> name are updated, but my Fcc still has the old value of:
>   "~/.emacs.d/mymail/muto/sent"
> instead of the desired value:
>   "~/.emacs.d/mymail/muto2/sent"
> 
> This bug works the other way around (loading account 2 first), and it
> also occurs when I use 'mail-default-headers' instead of
> 'mail-archive-file-name'. 

Are you using message-mode (as opposed to mail-mode) to compose your
email messages?  If so, I think you need to change the value of
message-default-mail-headers when you switch accounts.  message-mode
picks up the values of mail-archive-file-name and mail-default-headers
when it starts up, and computes from them the value of
message-default-mail-headers, which it uses thereafter.